Loading...
Searching...
No Matches
Ogre::FileHandleDataStream Class Reference
Core » Resources

Common subclass of DataStream for handling data from C-style file handles. More...

`#include <OgreDataStream.h>`

Inheritance diagram for Ogre::FileHandleDataStream:
[legend]

## Public Member Functions

| FileHandleDataStream (const String &name, FILE *handle, uint16 accessMode=READ)
| Create named stream from a C file handle.
| FileHandleDataStream (FILE *handle, uint16 accessMode=READ)
| Create stream from a C file handle.
| ~FileHandleDataStream ()
void | close (void) override
| Close the stream; this makes further operations invalid.
bool | eof (void) const override
| Returns true if the stream has reached the end.
size_t | read (void *buf, size_t count) override
| Read the requisite number of bytes from the stream, stopping at the end of the file.
void | seek (size_t pos) override
| Repositions the read point to a specified byte.
void | skip (long count) override
| Skip a defined number of bytes.
size_t | tell (void) const override
| Returns the current byte offset from beginning.
size_t | write (const void *buf, size_t count) override
| Write the requisite number of bytes from the stream (only applicable to streams that are not read-only).
Public Member Functions inherited from Ogre::DataStream
| DataStream (const String &name, uint16 accessMode=READ)
| Constructor for creating named streams.
| DataStream (uint16 accessMode=READ)
| Constructor for creating unnamed streams.
virtual | ~DataStream ()
uint16 | getAccessMode () const
| Gets the access mode of the stream.
virtual String | getAsString (void)
| Returns a String containing the entire stream.
virtual String | getLine (bool trimAfter=true)
| Returns a String containing the next line of data, optionally trimmed for whitespace.
const String & | getName (void)
| Returns the name of the stream, if it has one.
virtual bool | isReadable () const
| Reports whether this stream is readable.
virtual bool | isWriteable () const
| Reports whether this stream is writeable.
template<typename T>
DataStream & | operator>> (T &val)
virtual size_t | readLine (char *buf, size_t maxCount, const String &delim="\n")
| Get a single line from the stream.
size_t | size (void) const
| Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream.
virtual size_t | skipLine (const String &delim="\n")
| Skip a single line from the stream.

## Additional Inherited Members

Public Types inherited from Ogre::DataStream
enum | AccessMode { READ = 1 , WRITE = 2 }

## Detailed Description

Common subclass of DataStream for handling data from C-style file handles.

Use of this class is generally discouraged; if you want to wrap file access in a DataStream, you should definitely be using the C++ friendly FileStreamDataStream. However, since there are quite a few applications and libraries still wedded to the old FILE handle access, this stream wrapper provides some backwards compatibility.

## Constructor & Destructor Documentation

## FileHandleDataStream() [1/2]

Ogre::FileHandleDataStream::FileHandleDataStream | ( | FILE * | handle,
|  | uint16 | accessMode = READ )

Create stream from a C file handle.

References Ogre::DataStream::READ.

## FileHandleDataStream() [2/2]

Ogre::FileHandleDataStream::FileHandleDataStream | ( | const String & | name,
|  | FILE * | handle,
|  | uint16 | accessMode = READ )

Create named stream from a C file handle.

References Ogre::DataStream::READ.

## ~FileHandleDataStream()

Ogre::FileHandleDataStream::~FileHandleDataStream | ( |  | ) |

## Member Function Documentation

## read()

size_t Ogre::FileHandleDataStream::read | ( | void * | buf,
|  | size_t | count )

override virtual

Read the requisite number of bytes from the stream, stopping at the end of the file.

Parameters

  buf | Reference to a buffer pointer
  count | Number of bytes to read

Returns
  The number of bytes read

Implements Ogre::DataStream.

## write()

size_t Ogre::FileHandleDataStream::write | ( | const void * | buf,
|  | size_t | count )

override virtual

Write the requisite number of bytes from the stream (only applicable to streams that are not read-only).

Parameters

  buf | Pointer to a buffer containing the bytes to write
  count | Number of bytes to write

Returns
  The number of bytes written

Reimplemented from Ogre::DataStream.

## skip()

void Ogre::FileHandleDataStream::skip | ( | long | count | ) |

override virtual

Skip a defined number of bytes.

This can also be a negative value, in which case the file pointer rewinds a defined number of bytes.

Implements Ogre::DataStream.

## seek()

void Ogre::FileHandleDataStream::seek | ( | size_t | pos | ) |

override virtual

Repositions the read point to a specified byte.

Implements Ogre::DataStream.

## tell()

size_t Ogre::FileHandleDataStream::tell | ( | void |  | ) | const

override virtual

Returns the current byte offset from beginning.

Implements Ogre::DataStream.

## eof()

bool Ogre::FileHandleDataStream::eof | ( | void |  | ) | const

override virtual

Returns true if the stream has reached the end.

Implements Ogre::DataStream.

## close()

void Ogre::FileHandleDataStream::close | ( | void |  | ) |

override virtual

Close the stream; this makes further operations invalid.

Implements Ogre::DataStream.

The documentation for this class was generated from the following file:

- OgreDataStream.h